Wondering which versions of macOS or Mac OS X your Mac can run? Our macOS compatibility checker will show you what Macs the different versions of macOS and Mac OS X support so you can tell which OS is best for your Mac.

Which versions of macOS does my Mac support?

Apple releases a new version of the Mac operating system almost every year, but it won't support every Mac. Each year more and more Macs fall by the wayside, unable to be updated to take advantage of the latest features. Read on to find out which Macs are supported by each version of the Mac Operating System.

Officially, the operating system that was available on that Mac at the time that you bought it is the oldest version of macOS that can run on that Mac. It's likely that an older OS won't include the necessary drivers for the hardware on your newer Mac.

We have a complete list of all the different versions of macOS and Mac OS X here.

Which macOS does my Mac support

Not sure which Mac you own? Check our article about how to identify your Mac.

Catalina compatibility

Catalina arrived in October 2019 and supports the following Macs:

  • MacBook (Early 2015 or later)
  • MacBook Air (Mid-2012 or later)
  • MacBook Pro (Mid-2012 or later)
  • Mac mini (Late 2012 or later)
  • iMac models late 2012 or later
  • iMac Pro (all models)
  • Mac Pro (late 2013)

Mojave compatibility

Mojave arrived in September 2018 and supported the following Macs:

  • MacBook (Early 2015 or newer)
  • MacBook Air (Mid 2012 or newer)
  • MacBook Pro (Mid 2012 or newer)
  • Mac mini (Late 2012 or newer)
  • iMac (Late 2012 or newer)
  • iMac Pro (all models)
  • Mac Pro (Late 2013, plus mid-2010 and mid-2012 models with recommended Metal-capable GPU)

High Sierra compatibility

High Sierra arrived in September 2017 and supported the following Macs:

  • MacBook (Late 2009 or newer)
  • MacBook Pro (Mid 2010 or newer)
  • MacBook Air (Late 2010 or newer)
  • Mac mini (Mid 2010 or newer)
  • iMac (Late 2009 or newer)
  • Mac Pro (Mid 2010 or newer)

Sierra compatibility

Sierra arrived in September 2016 and supported the following Macs:

  • MacBook (Late 2009 or newer)
  • MacBook Pro (Mid 2010 or newer)
  • MacBook Air (Late 2010 or newer)
  • Mac mini (Mid 2010 or newer)
  • iMac (Late 2009 or newer)
  • Mac Pro (Mid 2010 or newer)

El Capitan compatibility

El Capitan arrived in September 2015 and supported the following Macs:

  • MacBook (Early 2015)
  • MacBook (Late 2008 Aluminium, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • iMac (Mid 2007 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)

Yosemite compatibility

Yosemite arrived in October 2014 and supported the following Macs:

  • iMac (Mid-2007 or later)
  • MacBook (13" Late 2008 Aluminum, Early 2009 or later)
  • MacBook Pro (13" Mid-2009 or later)
  • MacBook Pro (15" Mid/Late 2007 or later)
  • MacBook Pro (17" Late 2007 or later)
  • MacBook Air (Late 2008 or later)
  • Mac mini (Early 2009 or later)
  • Mac Pro (Early 2008 or later)
  • Xserve (Early 2009)

Mavericks compatibility

Mavericks arrived in October 2013 and supported the following Macs:

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • Xserve (Early 2009)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)

Mountain Lion compatibility

Mountain Lion, the last of the 'cat' versions of macOS launched in July 2012 and supported the following Macs:

  • iMac (Mid-2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Air (Late 2008 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)